<?php

if (function_exists("register_field_group")) {

    register_field_group(array(

        'id' => 'acf_agency',

        'title' => 'About',

        'fields' => array(
		
            array(

                'key' => 'field_53431135e1828',

                'label' => __("Services Heading", "me_lang"),

                'name' => 'what_we_do_label',

                'type' => 'text',

                'default_value' => 'What We Do',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_53431161f10d8',

                'label' => __("Services", "me_lang"),

                'name' => 'services',

                'type' => 'repeater',

                'instructions' => 'Add services from this field.',

                'sub_fields' => array(

                    array(

                        'key' => 'field_53431173f10d9',

                        'label' => __("Name", "me_lang"),

                        'name' => 'name',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_5343117af10da',

                        'label' => __("Description", "me_lang"),

                        'name' => 'description',

                        'type' => 'textarea',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'maxlength' => '',

                        'rows' => '',

                        'formatting' => 'br',

                    ),

                    array(

                        'key' => 'field_53431191f10dc',

                        'label' => __("Icon", "me_lang"),

                        'name' => 'icon',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            '.icon-mobile' => '',

                            '.icon-laptop' => '',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_534311d2b1edf',

                        'label' => __("URL", "me_lang"),

                        'name' => 'url',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Service',

            ),



            array(

                'key' => 'field_53481c1713e0c',

                'label' => __("Client Heading", "me_lang"),

                'name' => 'client_heading',

                'type' => 'text',

                'default_value' => 'Our Clients',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_53481bee09eae',

                'label' => __("Clients", "me_lang"),

                'name' => 'clients',

                'type' => 'repeater',

                'sub_fields' => array(

                    array(

                        'key' => 'field_53481bf809eaf',

                        'label' => __("Client Logo", "me_lang"),

                        'name' => 'client_logo',

                        'type' => 'image',

                        'column_width' => '',

                        'save_format' => 'url',

                        'preview_size' => 'thumbnail',

                        'library' => 'all',

                    ),

                    array(

                        'key' => 'field_53481c0009eb0',

                        'label' => __("Client URL", "me_lang"),

                        'name' => 'client_url',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Client',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-agency.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                

            ),

        ),

        'menu_order' => 0,

    ));

	

    register_field_group(array(

        'id' => 'acf_branding',

        'title' => 'Branding',

        'fields' => array(

            array(

                'key' => 'field_5346e1b4916af',

                'label' => __("Main Logo", "me_lang"),

                'name' => 'main_logo',

                'type' => 'file',

                'instructions' => 'Upload the site logo from this field.',

                'save_format' => 'url',

                'library' => 'all',

            ),


            array(

                'key' => 'field_5346e1c2916b0',

                'label' => __("Favicon", "me_lang"),

                'name' => 'favicon',

                'type' => 'file',

                'instructions' => 'Upload your site favicon from this field.',

                'save_format' => 'url',

                'library' => 'all',

            ),


			array(

                'key' => 'field_5346e1d0916b1a1as',

                'label' => __("Mobile Logo", "me_lang"),

                'name' => 'mobile_logo',

                'type' => 'file',

                'instructions' => 'Upload a logo which will be shown on mobiles only',

                'save_format' => 'url',

                'library' => 'all',

            ),



array(

                'key' => 'field_5346e1d0916b1bg',

                'label' => __("Background Image", "me_lang"),

                'name' => 'background_image',

                'type' => 'file',

                'instructions' => 'Upload any kind of image to make it as a background one',

                'save_format' => 'url',

                'library' => 'all',

            ),

			array(

                'key' => 'field_5346e1ea9a21aasd',

                'label' => __("Background Repeat", "me_lang"),

                'name' => 'bg_repeat',

                'type' => 'radio',

                'choices' => array(

                    'no-repeat' => 'no-repeat',

                    'repeat' => 'repeat',

                    'repeat-x' => 'repeat-x',

                    'repeat-y' => 'repeat-y',

                ),

                'other_choice' => 0,

                'save_other_choice' => 0,

                'default_value' => '',

                'layout' => 'vertical',

            ),

           




			array(

                'key' => 'field_5346e1ea9aoud',

                'label' => __("Next And Previous Link On Portfolio", "me_lang"),

                'name' => 'next_prev',

                'type' => 'radio',

                'choices' => array(

                    'Disabled' => 'Disabled',

                    'Enabled' => 'Enabled',

                ),

                'other_choice' => 0,

                'save_other_choice' => 0,

                'default_value' => '',

                'layout' => 'vertical',

            ),

            array(

                'key' => 'field_5346e22d1efd9',

                'label' => __("Google Fonts", "me_lang"),

                'name' => 'google_fonts',

                'type' => 'select',

                'choices' => array(

                    0 => '--None--',

                    1 => 'ABeeZee'

                ),

                'default_value' => '',

                'allow_null' => 0,

                'multiple' => 0,

            ),

            array(

                'key' => 'field_5346e23a1efda',

                'label' => __("Google Fonts Italic", "me_lang"),

                'name' => 'google_fonts_italic',

                'type' => 'select',

                'choices' => array(

                    0 => '--None--',

                    1 => 'ABeeZee'

                ),

                'default_value' => '',

                'allow_null' => 0,

                'multiple' => 0,

            ),

            array(

                'key' => 'field_534820694ea93',

                'label' => __("Brand Color", "me_lang"),

                'name' => 'brand_color',

                'type' => 'color_picker',

                'default_value' => '',

            ),

          

        ),

        'location' => array(

            array(

                array(

                    'param' => 'options_page',

                    'operator' => '==',

                    'value' => 'acf-options-branding',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_clients',

        'title' => 'Clients',

        'fields' => array(

            array(

                'key' => 'field_533d7618fff5e',

                'label' => __("Page Heading", "me_lang"),

                'name' => 'page_heading',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_533d761ffff5f',

                'label' => __("Clients", "me_lang"),

                'name' => 'clients',

                'type' => 'repeater',

                'sub_fields' => array(

                    array(

                        'key' => 'field_533d7628fff60',

                        'label' => __("Client Logo", "me_lang"),

                        'name' => 'client_logo',

                        'type' => 'image',

                        'column_width' => '',

                        'save_format' => 'url',

                        'preview_size' => 'thumbnail',

                        'library' => 'all',

                    ),

                    array(

                        'key' => 'field_533d763ffff61',

                        'label' => __("Client URL", "me_lang"),

                        'name' => 'client_url',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Row',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-clients.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_contact',

        'title' => 'Contact',

        'fields' => array(

            array(

                'key' => 'field_533d781eb88df',

                'label' => __("Map Type", "me_lang"),

                'name' => 'map_type',

                'type' => 'select',

                'choices' => array(

                    

                    'Google Map' => 'Google Map',

                ),

                'default_value' => '',

                'allow_null' => 0,

                'multiple' => 0,

            ),

 

            array(

                'key' => 'field_533d780ab88de',

                'label' => __("Google Map", "me_lang"),

                'name' => 'google_map',

                'type' => 'google_map',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_533d781eb88df',

                            'operator' => '==',

                            'value' => 'Google Map',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'center_lat' => '',

                'center_lng' => '',

                'zoom' => '',

                'height' => '',

            ),

            array(

                'key' => 'field_533d889585cac',

                'label' => __("Map zoom", "me_lang"),

                'name' => 'map_zoom',

                'type' => 'number',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_533d781eb88df',

                            'operator' => '==',

                            'value' => 'Google Map',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'default_value' => 8,

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'min' => '',

                'max' => '',

                'step' => '',

            ),

           


            array(

                'key' => 'field_533adac592ab1',

                'label' => __("Address", "me_lang"),

                'name' => 'address',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_533adaca92ab2',

                'label' => __("Email", "me_lang"),

                'name' => 'email',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_533adad492ab3',

                'label' => __("Phone", "me_lang"),

                'name' => 'phone',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),


        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-contact.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_contact-form',

        'title' => 'Contact Form',

        'fields' => array(

            array(

                'key' => 'field_5346cbb9a7e49',

                'label' => __("Success Message", "me_lang"),

                'name' => 'success_message',

                'type' => 'textarea',

                'default_value' => '',

                'placeholder' => '',

                'maxlength' => '',

                'rows' => '',

                'formatting' => 'br',

            ),

            array(

                'key' => 'field_5346cb80a7e48',

                'label' => __("Receieving E-mail", "me_lang"),

                'name' => 'receiving_e-mal',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'post_type',

                    'operator' => '==',

                    'value' => 'contact_form',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'no_box',

            'hide_on_screen' => array(),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_filter-projects',

        'title' => 'Filter Projects',

        'fields' => array(

            array(

                'key' => 'field_533464cf19a5e',

                'label' => __("Number Of Projects", "me_lang"),

                'name' => 'number_of_projects',

                'type' => 'number',

                'default_value' => 6,

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'min' => '',

                'max' => '',

                'step' => '',

            ),

            array(

                'key' => 'field_533464db19a5f',

                'label' => __("Exclude Categories", "me_lang"),

                'name' => 'exclude_categories',

                'type' => 'taxonomy',

                'taxonomy' => 'portfolio_category',

                'field_type' => 'checkbox',

                'allow_null' => 0,

                'load_save_terms' => 0,

                'return_format' => 'object',

                'multiple' => 0,

            ),

			array(

                'key' => 'field_533464cf195oiua',

                'label' => __("Order Of Projects", "me_lang"),

                'name' => 'order_of_projects',

                'type' => 'radio',

                'choices' => array(

					"Popular" => "Popular",

					"Recent" => "Recent"

				),

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'min' => '',

                'max' => '',

                'step' => '',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-grid-2columns.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-grid-3columns.php',

                    'order_no' => 0,

                    'group_no' => 1,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-grid.php',

                    'order_no' => 0,

                    'group_no' => 2,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-projects-gallery.php',

                    'order_no' => 0,

                    'group_no' => 3,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-masonry.php',

                    'order_no' => 0,

                    'group_no' => 4,

                ),

            ),

           

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_full-screen-slider',

        'title' => 'Full-screen slider',

        'fields' => array(

            array(

                'key' => 'field_53359526f7ca0',

                'label' => __("Slider", "me_lang"),

                'name' => 'slider',

                'type' => 'repeater',

                'instructions' => 'Create slides from this field.',

                'sub_fields' => array(

                    array(

                        'key' => 'field_5335953af7ca1',

                        'label' => __("Image", "me_lang"),

                        'name' => 'image',

                        'type' => 'image',

                        'column_width' => '',

                        'save_format' => 'url',

                        'preview_size' => 'thumbnail',

                        'library' => 'all',

                    ),

                    array(

                        'key' => 'field_5335957ef7ca2',

                        'label' => __("Big Label", "me_lang"),

                        'name' => 'big_label',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_53359587f7ca3',

                        'label' => __("Big Label Animation", "me_lang"),

                        'name' => 'big_label_animation',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'flipInX' => 'flipInX',

                            'flipInY' => 'flipInY',

                            'fadeIn' => 'fadeIn',

                            'fadeInUp' => 'fadeInUp',

                            'fadeInDown' => 'fadeInDown',

                            'fadeInLeft' => 'fadeInLeft',

                            'fadeInRight' => 'fadeInRight',

                            'slideInDown' => 'slideInDown',

                            'bounceIn' => 'bounceIn',

                            'bounceInDown' => 'bounceInDown',

                            'rotateIn' => 'rotateIn',

                            'rotateInDownLeft' => 'rotateInDownLeft',

                            'rotateInDownRight' => 'rotateInDownRight',

                            'rotateInUpLeft' => 'rotateInUpLeft',

                            'rotateInUpRight' => 'rotateInUpRight',

                            'lightSpeedIn' => 'lightSpeedIn',

                            'rollIn' => 'rollIn',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_5335958ff7ca4',

                        'label' => __("Small Label", "me_lang"),

                        'name' => 'small_label',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_53359594f7ca5',

                        'label' => __("Small Label Animation", "me_lang"),

                        'name' => 'small_label_animation',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'flipInX' => 'flipInX',

                            'flipInY' => 'flipInY',

                            'fadeIn' => 'fadeIn',

                            'fadeInUp' => 'fadeInUp',

                            'fadeInDown' => 'fadeInDown',

                            'fadeInLeft' => 'fadeInLeft',

                            'fadeInRight' => 'fadeInRight',

                            'slideInDown' => 'slideInDown',

                            'bounceIn' => 'bounceIn',

                            'bounceInDown' => 'bounceInDown',

                            'rotateIn' => 'rotateIn',

                            'rotateInDownLeft' => 'rotateInDownLeft',

                            'rotateInDownRight' => 'rotateInDownRight',

                            'rotateInUpLeft' => 'rotateInUpLeft',

                            'rotateInUpRight' => 'rotateInUpRight',

                            'lightSpeedIn' => 'lightSpeedIn',

                            'rollIn' => 'rollIn',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_5335959ef7ca6',

                        'label' => __("Button Text", "me_lang"),

                        'name' => 'button_text',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_533595a3f7ca7',

                        'label' => __("Button URL", "me_lang"),

                        'name' => 'button_url',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_533595a9f7ca8',

                        'label' => __("Button Animation", "me_lang"),

                        'name' => 'button_animation',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'flipInX' => 'flipInX',

                            'flipInY' => 'flipInY',

                            'fadeIn' => 'fadeIn',

                            'fadeInUp' => 'fadeInUp',

                            'fadeInDown' => 'fadeInDown',

                            'fadeInLeft' => 'fadeInLeft',

                            'fadeInRight' => 'fadeInRight',

                            'slideInDown' => 'slideInDown',

                            'bounceIn' => 'bounceIn',

                            'bounceInDown' => 'bounceInDown',

                            'rotateIn' => 'rotateIn',

                            'rotateInDownLeft' => 'rotateInDownLeft',

                            'rotateInDownRight' => 'rotateInDownRight',

                            'rotateInUpLeft' => 'rotateInUpLeft',

                            'rotateInUpRight' => 'rotateInUpRight',

                            'lightSpeedIn' => 'lightSpeedIn',

                            'rollIn' => 'rollIn',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_533597855b39f',

                        'label' => __("Captions Skin", "me_lang"),

                        'name' => 'captions_skin',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'Light' => 'Light',

                            'Dark' => 'Dark',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Slide',

            ),

            array(

                'key' => 'field_534bd8876dc8b',

                'label' => __("Overlay Color", "me_lang"),

                'name' => 'overlay_color',

                'type' => 'color_picker',

                'default_value' => '',

            ),

            array(

                'key' => 'field_534bd8906dc8c',

                'label' => __("Overlay Opacity", "me_lang"),

                'name' => 'overlay_opacity',

                'type' => 'number',

                'default_value' => '0.5',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'min' => '0.1',

                'max' => '0.9',

                'step' => '0.1',

            ),

			array(

				'key' => 'field_53481bf809eafasd',

				'label' => __("Site Logo", "me_lang"),

				'name' => 'site_logo',

				'type' => 'image',

				'instructions' => 'Chose another site logo for this page, since its header is transparent',

				'save_format' => 'url',

				'preview_size' => 'thumbnail',

				'library' => 'all',

			),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-fullscreen.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_home-heading',

        'title' => 'Page Heading',

        'fields' => array(

            array(

                'key' => 'field_5331b22c9f43d',

                'label' => __("Heading Text", "me_lang"),

                'name' => 'heading_text',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_5331b2389f43e',

                'label' => __("SubHeading Text", "me_lang"),

                'name' => 'subheading_text',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

          

         

        ),
		
		

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-masonry.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),
			
			array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'default',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),
			
			 array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-agency.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),
			
			

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-grid.php',

                    'order_no' => 0,

                    'group_no' => 1,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-clients.php',

                    'order_no' => 0,

                    'group_no' => 1,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-team.php',

                    'order_no' => 0,

                    'group_no' => 1,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-services.php',

                    'order_no' => 0,

                    'group_no' => 1,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-grid-2columns.php',

                    'order_no' => 0,

                    'group_no' => 2,

                ),

            ),

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-grid-3columns.php',

                    'order_no' => 0,

                    'group_no' => 3,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'video-fullscreen',

        'title' => 'Video Fullscreen',

        'fields' => array(
        
 array(

                'key' => 'field_53359526f7ca0',

                'label' => __("Slider", "me_lang"),

                'name' => 'slider',

                'type' => 'repeater',

                'instructions' => 'Create slides from this field.',

                'sub_fields' => array(

                    array(

                        'key' => 'field_5335953af7ca1',

                        'label' => __("Image", "me_lang"),

                        'name' => 'image',

                        'type' => 'image',

                        'column_width' => '',

                        'save_format' => 'url',

                        'preview_size' => 'thumbnail',

                        'library' => 'all',

                    ),

                    array(

                        'key' => 'field_5335957ef7ca2',

                        'label' => __("Big Label", "me_lang"),

                        'name' => 'big_label',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_53359587f7ca3',

                        'label' => __("Big Label Animation", "me_lang"),

                        'name' => 'big_label_animation',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'flipInX' => 'flipInX',

                            'flipInY' => 'flipInY',

                            'fadeIn' => 'fadeIn',

                            'fadeInUp' => 'fadeInUp',

                            'fadeInDown' => 'fadeInDown',

                            'fadeInLeft' => 'fadeInLeft',

                            'fadeInRight' => 'fadeInRight',

                            'slideInDown' => 'slideInDown',

                            'bounceIn' => 'bounceIn',

                            'bounceInDown' => 'bounceInDown',

                            'rotateIn' => 'rotateIn',

                            'rotateInDownLeft' => 'rotateInDownLeft',

                            'rotateInDownRight' => 'rotateInDownRight',

                            'rotateInUpLeft' => 'rotateInUpLeft',

                            'rotateInUpRight' => 'rotateInUpRight',

                            'lightSpeedIn' => 'lightSpeedIn',

                            'rollIn' => 'rollIn',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_5335958ff7ca4',

                        'label' => __("Small Label", "me_lang"),

                        'name' => 'small_label',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_53359594f7ca5',

                        'label' => __("Small Label Animation", "me_lang"),

                        'name' => 'small_label_animation',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'flipInX' => 'flipInX',

                            'flipInY' => 'flipInY',

                            'fadeIn' => 'fadeIn',

                            'fadeInUp' => 'fadeInUp',

                            'fadeInDown' => 'fadeInDown',

                            'fadeInLeft' => 'fadeInLeft',

                            'fadeInRight' => 'fadeInRight',

                            'slideInDown' => 'slideInDown',

                            'bounceIn' => 'bounceIn',

                            'bounceInDown' => 'bounceInDown',

                            'rotateIn' => 'rotateIn',

                            'rotateInDownLeft' => 'rotateInDownLeft',

                            'rotateInDownRight' => 'rotateInDownRight',

                            'rotateInUpLeft' => 'rotateInUpLeft',

                            'rotateInUpRight' => 'rotateInUpRight',

                            'lightSpeedIn' => 'lightSpeedIn',

                            'rollIn' => 'rollIn',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_5335959ef7ca6',

                        'label' => __("Button Text", "me_lang"),

                        'name' => 'button_text',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_533595a3f7ca7',

                        'label' => __("Button URL", "me_lang"),

                        'name' => 'button_url',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_533595a9f7ca8',

                        'label' => __("Button Animation", "me_lang"),

                        'name' => 'button_animation',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'flipInX' => 'flipInX',

                            'flipInY' => 'flipInY',

                            'fadeIn' => 'fadeIn',

                            'fadeInUp' => 'fadeInUp',

                            'fadeInDown' => 'fadeInDown',

                            'fadeInLeft' => 'fadeInLeft',

                            'fadeInRight' => 'fadeInRight',

                            'slideInDown' => 'slideInDown',

                            'bounceIn' => 'bounceIn',

                            'bounceInDown' => 'bounceInDown',

                            'rotateIn' => 'rotateIn',

                            'rotateInDownLeft' => 'rotateInDownLeft',

                            'rotateInDownRight' => 'rotateInDownRight',

                            'rotateInUpLeft' => 'rotateInUpLeft',

                            'rotateInUpRight' => 'rotateInUpRight',

                            'lightSpeedIn' => 'lightSpeedIn',

                            'rollIn' => 'rollIn',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_533597855b39f',

                        'label' => __("Captions Skin", "me_lang"),

                        'name' => 'captions_skin',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'Light' => 'Light',

                            'Dark' => 'Dark',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Slide',

            ),

            array(

                'key' => 'field_534bd8876dc8b',

                'label' => __("Overlay Color", "me_lang"),

                'name' => 'overlay_color',

                'type' => 'color_picker',

                'default_value' => '',

            ),

            array(

                'key' => 'field_534bd8906dc8c',

                'label' => __("Overlay Opacity", "me_lang"),

                'name' => 'overlay_opacity',

                'type' => 'number',

                'default_value' => '0.5',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'min' => '0.1',

                'max' => '0.9',

                'step' => '0.1',

            ),

			array(

				'key' => 'field_53481bf809eafasd',

				'label' => __("Site Logo", "me_lang"),

				'name' => 'site_logo',

				'type' => 'image',

				'instructions' => 'Chose another site logo for this page, since its header is transparent',

				'save_format' => 'url',

				'preview_size' => 'thumbnail',

				'library' => 'all',

			),

            array(

                'key' => 'field_5331b2489f441',

                'label' => __("Youtube Video ID", "me_lang"),

                'name' => 'video_fullscreen_url',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-home-video.php',

                    'order_no' => 0,

                    'group_no' => 1,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_main',

        'title' => 'Main',

        'fields' => array(

            array(

                'key' => 'field_5346e0c4ee35a',

                'label' => __("Custom CSS", "me_lang"),

                'name' => 'custom_css',

                'type' => 'code_area',

                'instructions' => 'Write Some CSS if you need on this field.',

                'language' => 'css',

                'theme' => 'default',

            ),

            array(

                'key' => 'field_5346e13996bea',

                'label' => __("Custom JavaScript", "me_lang"),

                'name' => 'custom_javascript',

                'type' => 'code_area',

                'instructions' => 'Write Custom JavaScript on this field.If you need to write jQuery than you have to use jQuery instead of $.',

                'language' => 'javascript',

                'theme' => 'default',

            ),

            array(

                'key' => 'field_5346e18d6c6d5',

                'label' => __("Google Analytics Tracking Code", "me_lang"),

                'name' => 'google_analytics_tracking_code',

                'type' => 'code_area',

                'language' => 'javascript',

                'theme' => 'default',

            ),

           
            array(

                'key' => 'field_5346e16dd8821',

                'label' => __("Smooth Scrolling", "me_lang"),

                'name' => 'smooth_scrolling',

                'type' => 'radio',

                'choices' => array(

                    'Enabled' => 'Enabled',

                    'Disabled' => 'Disabled',

                ),

                'other_choice' => 0,

                'save_other_choice' => 0,

                'default_value' => '',

                'layout' => 'horizontal',

            ),

			array(

                'key' => 'field_5346e16dd8821cart',

                'label' => __("Display Cart On Header", "me_lang"),

                'name' => 'cart_header',

                'type' => 'radio',

                'choices' => array(

                    'Enabled' => 'Enabled',

                    'Disabled' => 'Disabled',

                ),

                'other_choice' => 0,

                'save_other_choice' => 0,

                'default_value' => '',

                'layout' => 'horizontal',

            ),

			array (

				'key' => 'field_53e204a6aaf8b1asd',

				'label' => 'Portfolio Template',

				'name' => 'portfolio_template',

				'type' => 'radio',

				'choices' => array (

					'home-masonry' => 'Masonry',

				),

				'other_choice' => 0,

				'save_other_choice' => 0,

				'default_value' => '',

				'layout' => 'vertical',

			),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'options_page',

                    'operator' => '==',

                    'value' => 'acf-options-main',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_portfolio',

        'title' => 'Portfolio',

        'fields' => array(

            array(

                'key' => 'field_53359fda13fc1',

                'label' => __("Slider", "me_lang"),

                'name' => 'slider',

                'type' => 'repeater',

                'sub_fields' => array(

                    array(

                        'key' => 'field_53359fff13fc2',

                        'label' => __("Image", "me_lang"),

                        'name' => 'image',

                        'type' => 'image',

                        'column_width' => '',

                        'save_format' => 'url',

                        'preview_size' => 'thumbnail',

                        'library' => 'all',

                    ),

                    array(

                        'key' => 'field_5335a00813fc3',

                        'label' => __("Video URL", "me_lang"),

                        'name' => 'video_url',

                        'type' => 'text',

                        'instructions' => 'If you paste a video URL there, the image wont be displayed.',

                        'conditional_logic' => array(

                            'status' => 1,

                            'rules' => array(

                                array(

                                    'field' => 'field_53359f30f0915',

                                    'operator' => '!=',

                                    'value' => 'gallery',

                                ),

                            ),

                            'allorany' => 'all',

                        ),

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Row',

            ),

            array(

                'key' => 'field_5335a0a32d94c',

                'label' => __("Project Button Text", "me_lang"),

                'name' => 'project_button_text',

                'type' => 'text',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '!=',

                            'value' => 'gallery',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

			array(

                'key' => 'field_5335a0aa2d99jg',

                'label' => __("Auto Slide", "me_lang"),

                'name' => 'auto_slide',

                'type' => 'radio',

				'choices' => array(

                    'Disabled' => 'Disabled',

                    'Enabled' => 'Enabled',

                ),

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '==',

                            'value' => 'projects-page',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_5335a0aa2d94d',

                'label' => __("Project Button URL", "me_lang"),

                'name' => 'project_button_url',

                'type' => 'text',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '!=',

                            'value' => 'gallery',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_5335a14c04da1',

                'label' => __("Project Services / Brief Text", "me_lang"),

                'name' => 'project_services_brief_text',

                'type' => 'text',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '!=',

                            'value' => 'gallery',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'default_value' => 'Services',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_5335a13104d9f',

                'label' => __("Project Brief / Services", "me_lang"),

                'name' => 'project_brief',

                'type' => 'repeater',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '!=',

                            'value' => 'gallery',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'sub_fields' => array(

                    array(

                        'key' => 'field_5335a14704da0',

                        'label' => __("Item", "me_lang"),

                        'name' => 'item',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Row',

            ),

            array(

                'key' => 'field_5339a77dc2969',

                'label' => __("Image Resize", "me_lang"),

                'name' => 'image_resize',

                'type' => 'select',

                'instructions' => 'Choose how the image should get resized',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '==',

                            'value' => 'gallery',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'choices' => array(

                    'contain' => 'Centered on screen without getting cropped',

                    'cover' => 'Fill the screen, image get cropped',

                    'scaledown' => 'Keep the image Original Size',

                ),

                'default_value' => '',

                'allow_null' => 0,

                'multiple' => 0,

            ),

            array(

                'key' => 'field_5339a82257f47',

                'label' => __("Transition ", "me_lang"),

                'name' => 'transition',

                'type' => 'select',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '==',

                            'value' => 'gallery',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'choices' => array(

                    'slide' => 'slide',

                    'crossfade' => 'crossfade',

                    'dissolve' => 'dissolve',

                ),

                'default_value' => '',

                'allow_null' => 0,

                'multiple' => 0,

            ),

			array(

                'key' => 'field_5339a82257f47asd',

                'label' => __("Disable Image Resize ", "me_lang"),

                'name' => 'disable_image_resize',

                'type' => 'radio',

                'conditional_logic' => array(

                    'status' => 1,

                    'rules' => array(

                        array(

                            'field' => 'field_53359f30f0915',

                            'operator' => '!=',

                            'value' => 'gallery',

                        ),

                    ),

                    'allorany' => 'all',

                ),

                'choices' => array(

                    'Disabled' => 'Disabled',

                    'Enabled' => 'Enabled',

                ),

                'default_value' => '',

                'allow_null' => 0,

                'multiple' => 0,

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'post_type',

                    'operator' => '==',

                    'value' => 'portfolio',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_services',

        'title' => 'Services',

        'fields' => array(

            array(

                'key' => 'field_5332f931230da',

                'label' => __("Aligment", "me_lang"),

                'name' => 'aligment',

                'type' => 'radio',

                'instructions' => 'Select Services Aligment',

                'choices' => array(

                    'Combined' => 'Combined',

                    'Left' => 'Left',

                    'Right' => 'Right',

                ),

                'other_choice' => 0,

                'save_other_choice' => 0,

                'default_value' => '',

                'layout' => 'horizontal',

            ),

            array(

                'key' => 'field_5332efb83f63e',

                'label' => __("Services", "me_lang"),

                'name' => 'services',

                'type' => 'repeater',

                'instructions' => 'Add services from this field.',

                'sub_fields' => array(

                    array(

                        'key' => 'field_5332efc93f63f',

                        'label' => __("Name", "me_lang"),

                        'name' => 'name',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_5332efcf3f640',

                        'label' => __("Description", "me_lang"),

                        'name' => 'description',

                        'type' => 'textarea',

                        'instructions' => 'You can type HTML also.',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'maxlength' => '',

                        'rows' => '',

                        'formatting' => 'html',

                    ),

                    array(

                        'key' => 'field_5332f14633886',

                        'label' => __("Icon", "me_lang"),

                        'name' => 'icon',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            '.icon-mobile' => '',

                            '.icon-laptop' => '',

                            '.icon-desktop' => '',

                            '.icon-tablet' => '',

                            '.icon-phone' => '',

                            '.icon-document' => '',

                            '.icon-documents' => '',

                            '.icon-search' => '',

                            '.icon-clipboard' => '',

                            '.icon-newspaper' => '',

                            '.icon-notebook' => '',

                            '.icon-book-open' => '',

                            '.icon-browser' => '',

                            '.icon-calendar' => '',

                            '.icon-presentation' => '',

                            '.icon-picture' => '',

                            '.icon-pictures' => 'ก',

                            '.icon-video' => '',

                            '.icon-camera' => '',

                            '.icon-printer' => '',

                            '.icon-toolbox' => '',

                            '.icon-briefcase' => '',

                            '.icon-wallet' => '',

                            '.icon-gift' => '',

                            '.icon-bargraph' => '',

                            '.icon-grid' => '',

                            '.icon-expand' => '',

                            '.icon-focus' => '',

                            '.icon-edit' => '',

                            '.icon-adjustments' => '',

                            '.icon-ribbon' => '',

                            '.icon-hourglass' => '',

                            '.icon-lock' => '',

                            '.icon-megaphone' => '',

                            '.icon-shield' => '',

                            '.icon-trophy' => '',

                            '.icon-flag' => '',

                            '.icon-map' => '',

                            '.icon-puzzle' => '',

                            '.icon-basket' => '',

                            '.icon-envelope' => '',

                            '.icon-streetsign' => '',

                            '.icon-telescope' => '',

                            '.icon-gears' => '',

                            '.icon-key' => '',

                            '.icon-paperclip' => '',

                            '.icon-attachment' => '',

                            '.icon-pricetags' => '',

                            '.icon-lightbulb' => '',

                            '.icon-layers' => '',

                            '.icon-pencil' => '',

                            '.icon-tools' => '',

                            '.icon-tools-2' => '',

                            '.icon-scissors' => '',

                            '.icon-paintbrush' => '',

                            '.icon-magnifying-glass' => '',

                            '.icon-circle-compass' => '',

                            '.icon-linegraph' => '',

                            '.icon-mic' => '',

                            '.icon-strategy' => '',

                            '.icon-beaker' => '',

                            '.icon-caution' => '',

                            '.icon-recycle' => '',

                            '.icon-anchor' => '',

                            '.icon-profile-male' => '',

                            '.icon-profile-female' => '',

                            '.icon-bike' => '',

                            '.icon-wine' => '',

                            '.icon-hotairballoon' => '',

                            '.icon-glob' => '',

                            '.icon-genius' => '',

                            '.icon-map-pin' => '',

                            '.icon-dial' => '',

                            '.icon-chat' => '',

                            '.icon-heart' => '',

                            '.icon-cloud' => '',

                            '.icon-upload' => '',

                            '.icon-download' => '',

                            '.icon-traget' => '',

                            '.icon-hazardous' => '',

                            '.icon-piechart' => '',

                            '.icon-speedometer' => '',

                            '.icon-global' => '',

                            '.icon-compass' => '',

                            '.icon-lifesaver' => '',

                            '.icon-clock' => '',

                            '.icon-aperture' => '',

                            '.icon-quote' => '',

                            '.icon-scope' => '',

                            '.icon-alarmclock' => '',

                            '.icon-refresh' => '',

                            '.icon-happy' => '',

                            '.icon-sad' => '',

                            '.icon-facebook' => '',

                            '.icon-twitter' => '',

                            '.icon-googleplus' => '',

                            '.icon-rss' => '',

                            '.icon-tumblr' => '',

                            '.icon-linkedin' => '',

                            '.icon-dribbble' => '',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Service',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-services.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_social-networks',

        'title' => 'Social Networks',

        'fields' => array(

            array(

                'key' => 'field_5346dab7d1791',

                'label' => __("Social Networks", "me_lang"),

                'name' => 'social_networks',

                'type' => 'repeater',

                'instructions' => 'Add Social Networks',

                'sub_fields' => array(

                    array(

                        'key' => 'field_5346dac7d1792',

                        'label' => __("Social Network", "me_lang"),

                        'name' => 'social_network',

                        'type' => 'select',

                        'column_width' => '',

                        'choices' => array(

                            'fa-dribbble' => 'Dribbble',

                            'fa-flickr' => 'Flickr',

                            'fa-stack-overflow' => 'Stack OverFlow',

                            'fa-youtube' => 'Youtube',

                            'fa-dropbox' => 'Dropbox',

                            'fa-instagram' => 'Instagram',

                            'fa-skype' => 'Skype',

                            'fa-tumblr' => 'Tumblr',

                            'fa-stack-exchange' => 'Stackexchange',

                            'fa-facebook' => 'Facebook',

                            'fa-twitter' => 'Twitter',

                            'fa-google-plus' => 'Google Plus',

                            'fa-pinterest' => 'Pinterest',

                            'fa-linkedin' => 'Linkedin',

                            'fa-vk' => 'VKF',

                            'fa-behance' => 'Behance',

                            'fa-deviantart' => 'Deviantart',

                            'fa-drupal' => 'Drupal',

                            'fa-hacker-news' => 'Hacker News',

                            'fa-jsfiddle' => 'JSfiddle',

                            'fa-reddit-square' => 'Reddit',

                            'fa-vimeo-square' => 'Vimeo',

                            'fa-android' => 'Android',

                            'fa-digg' => 'Digg',

                            'fa-github' => 'Github',

                            'fa-apple' => 'Apple',

                            'fa-steam' => 'Steam',

                            'fa-wordpress' => 'WordPress',

                            'fa-yahoo' => 'Yahoo',

                            'fa-delicious' => 'Delicious',

                            'fa-spotify' => 'Spotify',

                            'fa-soundcloud' => 'SoundCloud',

                            'fa-globe' => 'Website',

                            'fa-yelp' => 'Yelp',

                        ),

                        'default_value' => '',

                        'allow_null' => 0,

                        'multiple' => 0,

                    ),

                    array(

                        'key' => 'field_5346dad1d1793',

                        'label' => __("Social Network URL", "me_lang"),

                        'name' => 'social_network_url',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Network',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'options_page',

                    'operator' => '==',

                    'value' => 'acf-options-social',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array(

        'id' => 'acf_team',

        'title' => 'Team',

        'fields' => array(

            array(

                'key' => 'field_5332fe6a78fc2',

                'label' => __("Page Heading", "me_lang"),

                'name' => 'page_heading',

                'type' => 'text',

                'default_value' => '',

                'placeholder' => '',

                'prepend' => '',

                'append' => '',

                'formatting' => 'html',

                'maxlength' => '',

            ),

            array(

                'key' => 'field_5332fe7078fc3',

                'label' => __("Team", "me_lang"),

                'name' => 'team',

                'type' => 'repeater',

                'instructions' => 'Add your members from this field.',

                'sub_fields' => array(

                    array(

                        'key' => 'field_5332fe8578fc4',

                        'label' => __("Name", "me_lang"),

                        'name' => 'name',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_5332fe8a78fc5',

                        'label' => __("Description", "me_lang"),

                        'name' => 'description',

                        'type' => 'textarea',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'maxlength' => '',

                        'rows' => '',

                        'formatting' => 'html',

                    ),

                    array(

                        'key' => 'field_5332fe9478fc6',

                        'label' => __("Position", "me_lang"),

                        'name' => 'position',

                        'type' => 'text',

                        'column_width' => '',

                        'default_value' => '',

                        'placeholder' => '',

                        'prepend' => '',

                        'append' => '',

                        'formatting' => 'html',

                        'maxlength' => '',

                    ),

                    array(

                        'key' => 'field_5332fe9a78fc7',

                        'label' => __("Image", "me_lang"),

                        'name' => 'image',

                        'type' => 'image',

                        'column_width' => '',

                        'save_format' => 'url',

                        'preview_size' => 'thumbnail',

                        'library' => 'all',

                    ),

                    array(

                        'key' => 'field_5332fea778fc8',

                        'label' => __("Social Networks", "me_lang"),

                        'name' => 'social_networks',

                        'type' => 'repeater',

                        'column_width' => '',

                        'sub_fields' => array(

                            array(

                                'key' => 'field_5332feaf78fc9',

                                'label' => __("Social Network URL", "me_lang"),

                                'name' => 'social_network_url',

                                'type' => 'text',

                                'column_width' => '',

                                'default_value' => '',

                                'placeholder' => '',

                                'prepend' => '',

                                'append' => '',

                                'formatting' => 'html',

                                'maxlength' => '',

                            ),

                            array(

                                'key' => 'field_5332feb778fca',

                                'label' => __("Social Network", "me_lang"),

                                'name' => 'social_network',

                                'type' => 'select',

                                'column_width' => '',

                                'choices' => array(

                                    'fa-dribbble' => 'Dribbble',

									'fa-flickr' => 'Flickr',

									'fa-stack-overflow' => 'Stack OverFlow',

									'fa-youtube' => 'Youtube',

									'fa-dropbox' => 'Dropbox',

									'fa-instagram' => 'Instagram',

									'fa-skype' => 'Skype',

									'fa-tumblr' => 'Tumblr',

									'fa-stack-exchange' => 'Stackexchange',

									'fa-facebook' => 'Facebook',

									'fa-twitter' => 'Twitter',

									'fa-google-plus' => 'Google Plus',

									'fa-pinterest' => 'Pinterest',

									'fa-linkedin' => 'Linkedin',

									'fa-vk' => 'VKF',

									'fa-behance' => 'Behance',

									'fa-deviantart' => 'Deviantart',

									'fa-drupal' => 'Drupal',

									'fa-hacker-news' => 'Hacker News',

									'fa-jsfiddle' => 'JSfiddle',

									'fa-reddit-square' => 'Reddit',

									'fa-vimeo-square' => 'Vimeo',

									'fa-android' => 'Android',

									'fa-digg' => 'Digg',

									'fa-github' => 'Github',

									'fa-apple' => 'Apple',

									'fa-steam' => 'Steam',

									'fa-wordpress' => 'WordPress',

									'fa-yahoo' => 'Yahoo',

									'fa-delicious' => 'Delicious',

									'fa-spotify' => 'Spotify',

									'fa-soundcloud' => 'SoundCloud',

									'fa-globe' => 'Website',

									'fa-yelp' => 'Yelp',

                                ),

                                'default_value' => '',

                                'allow_null' => 0,

                                'multiple' => 0,

                            ),

                        ),

                        'row_min' => '',

                        'row_limit' => '',

                        'layout' => 'table',

                        'button_label' => 'Add Row',

                    ),

                ),

                'row_min' => '',

                'row_limit' => '',

                'layout' => 'table',

                'button_label' => 'Add Member',

            ),

        ),

        'location' => array(

            array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-team.php',

                    'order_no' => 0,

                    'group_no' => 0,

                ),

            ),

			array(

                array(

                    'param' => 'page_template',

                    'operator' => '==',

                    'value' => 'template-team-2-columns.php',

                    'order_no' => 0,

                    'group_no' => 1,

                ),

            ),

        ),

        'options' => array(

            'position' => 'normal',

            'layout' => 'default',

            'hide_on_screen' => array(

                0 => 'the_content',

            ),

        ),

        'menu_order' => 0,

    ));

    register_field_group(array (

		'id' => 'acf_services-fullscreen',

		'title' => 'Services Fullscreen',

		'fields' => array (

			array (

				'key' => 'field_534e8e51dfe1d',

				'label' => 'Services Fullscreen',

				'name' => 'services_fullscreen',

				'type' => 'repeater',

				'sub_fields' => array (

					array (

						'key' => 'field_534e8e60dfe1e',

						'label' => 'Skin',

						'name' => 'skin',

						'type' => 'select',

						'column_width' => '',

						'choices' => array (

							'white' => 'White',

							'green' => 'Green',

							'pink' => 'Pink',

							'blue' => 'Blue',

							'custom' => 'Custom',

						),

						'default_value' => '',

						'allow_null' => 0,

						'multiple' => 0,

					),

					array (

						'key' => 'field_535f8420cd6f3',

						'label' => 'Skin Color',

						'name' => 'skin_color',

						'type' => 'color_picker',

						'conditional_logic' => array (

							'status' => 1,

							'rules' => array (

								array (

									'field' => 'field_534e8e60dfe1e',

									'operator' => '==',

									'value' => 'custom',

								),

							),

							'allorany' => 'all',

						),

						'column_width' => '',

						'default_value' => '',

					),

					array (

						'key' => 'field_535f8420cd6f3asd',

						'label' => 'Skin Circle Color',

						'name' => 'skin_circle_color',

						'type' => 'color_picker',

						'conditional_logic' => array (

							'status' => 1,

							'rules' => array (

								array (

									'field' => 'field_534e8e60dfe1e',

									'operator' => '==',

									'value' => 'custom',

								),

							),

							'allorany' => 'all',

						),

						'column_width' => '',

						'default_value' => '',

					),

					array (

						'key' => 'field_534e8e95dfe1f',

						'label' => 'Orientation',

						'name' => 'orientation',

						'type' => 'radio',

						'column_width' => '',

						'choices' => array (

							'Horizontal' => 'Horizontal',

							'Vertical' => 'Vertical',

						),

						'other_choice' => 0,

						'save_other_choice' => 0,

						'default_value' => '',

						'layout' => 'horizontal',

					),

					array (

						'key' => 'field_534e8eaadfe20',

						'label' => 'Icon',

						'name' => 'icon',

						'type' => 'select',

						'column_width' => '',

						'choices' => array (

							'.icon-mobile' => '?',

							'.icon-laptop' => '?',

						),

						'default_value' => '',

						'allow_null' => 0,

						'multiple' => 0,

					),

					array (

						'key' => 'field_534e8eb7dfe21',

						'label' => 'Title',

						'name' => 'title',

						'type' => 'text',

						'column_width' => '',

						'default_value' => '',

						'placeholder' => '',

						'prepend' => '',

						'append' => '',

						'formatting' => 'html',

						'maxlength' => '',

					),

					array (

						'key' => 'field_534e8ebcdfe22',

						'label' => 'Description',

						'name' => 'description',

						'type' => 'textarea',

						'column_width' => '',

						'default_value' => '',

						'placeholder' => '',

						'maxlength' => '',

						'rows' => '',

						'formatting' => 'br',

					),

					array (

						'key' => 'field_534e8ec4dfe23',

						'label' => 'Author',

						'name' => 'author',

						'type' => 'text',

						'column_width' => '',

						'default_value' => '',

						'placeholder' => '',

						'prepend' => '',

						'append' => '',

						'formatting' => 'html',

						'maxlength' => '',

					),

				),

				'row_min' => '',

				'row_limit' => '',

				'layout' => 'table',

				'button_label' => 'Add Service',

			),

		),

		'location' => array (

			array (

				array (

					'param' => 'page_template',

					'operator' => '==',

					'value' => 'template-services-fullscreen.php',

					'order_no' => 0,

					'group_no' => 0,

				),

			),

		),

		'options' => array (

			'position' => 'normal',

			'layout' => 'default',

			'hide_on_screen' => array (

				0 => 'the_content',

			),

		),

		'menu_order' => 0,

	));

	if(function_exists("register_field_group"))

{

	register_field_group(array (

		'id' => 'acf_fullscreen-video',

		'title' => 'Fullscreen Video',

		'fields' => array (

			array (

				'key' => 'field_53679cc1b9ee6',

				'label' => 'Video URL',

				'name' => 'video_url',

				'type' => 'text',

				'instructions' => 'Type the video URL from Vimeo or Youtube.',

				'default_value' => '',

				'placeholder' => '',

				'prepend' => '',

				'append' => '',

				'formatting' => 'html',

				'maxlength' => '',

			),

			array (

				'key' => 'field_53679cdeb9ee7',

				'label' => 'Overlay Opacity',

				'name' => 'overlay_opacity',

				'type' => 'number',

				'default_value' => '',

				'placeholder' => '',

				'prepend' => '',

				'append' => '',

				'min' => '0.1',

				'max' => '0.9',

				'step' => '',

			),

			array (

				'key' => 'field_53679cf4b9ee8',

				'label' => 'Overlay Color',

				'name' => 'overlay_color',

				'type' => 'color_picker',

				'default_value' => '',

			),

			array (

				'key' => 'field_53679d13b9ee9',

				'label' => 'Big Label Text',

				'name' => 'big_label_text',

				'type' => 'text',

				'default_value' => '',

				'placeholder' => '',

				'prepend' => '',

				'append' => '',

				'formatting' => 'html',

				'maxlength' => '',

			),

			array (

				'key' => 'field_53679d24b9eea',

				'label' => 'Small Label Text',

				'name' => 'small_label_text',

				'type' => 'text',

				'default_value' => '',

				'placeholder' => '',

				'prepend' => '',

				'append' => '',

				'formatting' => 'html',

				'maxlength' => '',

			),

			array (

				'key' => 'field_53679d2bb9eeb',

				'label' => 'Button Text',

				'name' => 'button_text',

				'type' => 'text',

				'default_value' => '',

				'placeholder' => '',

				'prepend' => '',

				'append' => '',

				'formatting' => 'html',

				'maxlength' => '',

			),

			array (

				'key' => 'field_53679d30b9eec',

				'label' => 'Button URL',

				'name' => 'button_url',

				'type' => 'text',

				'default_value' => '',

				'placeholder' => '',

				'prepend' => '',

				'append' => '',

				'formatting' => 'html',

				'maxlength' => '',

			),

		),

		'location' => array (

			array (

				array (

					'param' => 'page_template',

					'operator' => '==',

					'value' => 'template-fullscreen-video.php',

					'order_no' => 0,

					'group_no' => 0,

				),

			),

		),

		'options' => array (

			'position' => 'normal',

			'layout' => 'default',

			'hide_on_screen' => array (

				0 => 'the_content',

			),

		),

		'menu_order' => 0,

	));

}

register_field_group(array (

		'id' => 'acf_footer',

		'title' => 'Footer',

		'fields' => array (

			array (

				'key' => 'field_5368f6829911f',

				'label' => 'Display Footer',

				'name' => 'display_footer',

				'type' => 'radio',

				'choices' => array (

					'Enabled' => 'Enabled',

					'Disabled' => 'Disabled',

				),

				'other_choice' => 0,

				'save_other_choice' => 0,

				'default_value' => '',

				'layout' => 'vertical',

			),

		),

		'location' => array (

			array (

				array (

					'param' => 'post_type',

					'operator' => '==',

					'value' => 'page',

					'order_no' => 0,

					'group_no' => 0,

				),

				array (

					'param' => 'page_template',

					'operator' => '!=',

					'value' => 'template-fullscreen-video.php',

					'order_no' => 1,

					'group_no' => 0,

				),

			),

			array (

				array (

					'param' => 'post_type',

					'operator' => '==',

					'value' => 'page',

					'order_no' => 0,

					'group_no' => 1,

				),

				array (

					'param' => 'page_template',

					'operator' => '!=',

					'value' => 'template-fullscreen-video.php',

					'order_no' => 1,

					'group_no' => 1,

				),

			),

			array (

				array (

					'param' => 'post_type',

					'operator' => '==',

					'value' => 'page',

					'order_no' => 0,

					'group_no' => 2,

				),

				array (

					'param' => 'page_template',

					'operator' => '==',

					'value' => 'template-services-fullscreen.php',

					'order_no' => 1,

					'group_no' => 2,

				),

			),

		),

		'options' => array (

			'position' => 'normal',

			'layout' => 'default',

			'hide_on_screen' => array (

			),

		),

		'menu_order' => 0,

	));

	

	register_field_group(array (

		'id' => 'acf_portfolio-template',

		'title' => 'Portfolio Template',

		'fields' => array (

			array (

				'key' => 'field_53e204a6aaf8b',

				'label' => 'Portfolio Template',

				'name' => 'portfolio_template',

				'type' => 'radio',

				'choices' => array (

					'home-grid-3columns' => 'Grid 3 Columns',

					'home-grid-2columns' => 'Grid 2 Columns',

					'home-grid' => 'Grid',

					'home-masonry' => 'Masonry',

				),

				'other_choice' => 0,

				'save_other_choice' => 0,

				'default_value' => '',

				'layout' => 'vertical',

			),

		),

		'location' => array (

			array (

				array (

					'param' => 'ef_taxonomy',

					'operator' => '==',

					'value' => 'portfolio_category',

					'order_no' => 0,

					'group_no' => 0,

				),

			),

		),

		'options' => array (

			'position' => 'normal',

			'layout' => 'no_box',

			'hide_on_screen' => array (

			),

		),

		'menu_order' => 0,

	));

}