<?php


    /*Template Name: About*/

    get_header();

?>

    <div class="col-sm-12 home_top">



        <?php if(get_field("heading_text")): ?>

            <h2><?php the_field("heading_text"); ?></h2>

        <?php endif; ?>

        <?php if(get_field("subheading_text")): ?>

            <p><?php the_field("subheading_text"); ?></p>

        <?php endif; ?>

        <?php if(get_field("button_text") && get_field("button_url")): ?>

            <a class="button_u" href="<?php the_field("button_url"); ?>"><?php the_field("button_text"); ?></a>

        <?php endif; ?>

    </div>




    <?php

    $arguments = array();

    $arguments["post_type"] = "portfolio";

    $exlucde_cats = get_field("exclude_categories");

    $exlucde_cats_arr = array();

    if($exlucde_cats){

        foreach($exlucde_cats as $cat){

            array_push($exlucde_cats_arr,$cat->slug);

        }

        $arguments["tax_query"] = array(array(

            'taxonomy' => 'portfolio_category',

            'field' => 'slug',

            'terms' => $exlucde_cats_arr,

            'operator' => 'NOT IN'

        ));

    }

    $arguments["posts_per_page"] = get_field("number_of_projects") ? get_field("number_of_projects") : 6;

    /*Recent Posts Order*/

    if(get_field("order_of_projects") != "Recent"){

		$arguments["meta_key"] = "me_project_views";

		$arguments["orderby"] = "meta_value_num";

	}

    /*Recent Posts Order*/

    $the_query = new WP_Query( $arguments );

    if($the_query->have_posts()):

    ?>



    <?php endif; ?>





    <?php
        $repeater = get_field("services");

        if($repeater):

    ?>

    <div class="agency_services_holder container">
	
	<div class="content">
<?php

    global $post;
    setup_postdata($post);
    the_content();

?>
</div>

        <div class="agency_services row">

            <div class="col-sm-12 a_title_top">

                <h4><?php the_field("what_we_do_label"); ?></h4>

            </div>

            <div class="clearfix"></div>

            <?php

                if($repeater):

                    foreach($repeater as $key=>$r):

            ?>

                <div class="col-md-4 single_a_s pad">

                    <i class="<?php echo str_replace(".","",$r["icon"]); ?>"></i>

                    <a href="<?php echo $r["url"]; ?>"><?php echo $r["name"]; ?></a>

                    <p><?php echo $r["description"]; ?></p>

                </div>

				<?php if(($key + 1) % 3 == 0 && $key != 0): ?>

				<div class="clearfix"></div>

            <?php

					endif;

                    endforeach;

                endif;

            ?>

        </div>

    </div>

    <?php endif; ?>

    <?php

        $clients = get_field("clients");

        if($clients):

    ?>

    <div class="container clients_container" id="clients">

        <div class="col-sm-12 a_title_top">

            <h4><?php the_field("client_heading"); ?></h4>

        </div>

        <?php

            foreach($clients as $r):

                ?>

                <div class="col-md-3 single_client animated fadeInUp">

                    <div class="logo_holder">

                        <span class="helper_full"></span>

                        <a target="_blank" href="<?php echo $r["client_url"]; ?>">

                            <img src="<?php echo $r["client_logo"]; ?>" alt=""/>

                        </a>

                    </div>

                </div>

            <?php

            endforeach;

        ?>

    </div>
	</div>

    <?php endif; ?>

	<?php if(get_field("display_footer") != "Disabled"): ?>
	
	<div class="footer_bg">

    <div class="container sidebar1">

        <?php dynamic_sidebar('sidebar');wp_reset_postdata(); ?>
		

    </div>

	<div class="container">

        <div class="social-icons">

            <?php

                $repeater = get_field("social_networks","options");

                if($repeater):

                    foreach($repeater as $r):

            ?>

                <a href="<?php echo $r["social_network_url"]; ?>" target="_blank"><i class="fa <?php echo $r["social_network"]; ?>"></i></a>

            <?php

                    endforeach;

                endif;

            ?>

        </div>
		
		
		<div class="logo_f">

			<a href="<?php echo home_url(); ?>">

				<img src="<?php echo get_field("site_logo") ? get_field("site_logo") : get_field("main_logo","options"); ?>" alt=""/>

			</a>
		
		<p>
		<?php echo date('Y'); ?>
		</p>

		</div>

	</div>
	
	</div>
	<?php endif; ?>

    <script type="text/javascript">

        String.prototype.repeat = function( num ){

            return new Array( num + 1 ).join( this );

        }

        paged_projects = 1;

        filter = '<?php echo get_field("order_of_projects") == "Recent" ? "recent" : "popular"; ?>';

		var running_script = true;

		console.log("This script!!");

        jQuery(document).ready(function($){

			if(!running_script){

				return false;

			}

			running_script = false;

            $("body").attr("class",$(".body_class_container a").attr("class"));

            function center_hovers(){

                $(".project_con").each(function(){

                    var hover_child = $(this).find(".p_hover_el");

                    var hover_parent = $(this).find(".post_thumb_hover");

                    center_vertically(hover_parent,hover_child,0);

                    center_horizontally(hover_parent,hover_child,0);

                });

            }



            $(".inner_content").waitForImages(function(){

                $(".masonry_works").masonry({

                    itemSelector: '.project_con'

                });

                center_hovers();

            });



            /*Make Slider Bullets*/

            var num_of_slides = $(".single_slide").length;

            var bullets_string = '<li><a href="#"></a></li>'.repeat(num_of_slides);

            var single_bullet = $(bullets_string);

            single_bullet.eq(0).find("a").addClass("active_a_bullet");

            $(".a_slider_bullets ul").html(single_bullet);

            /*Make Slider Bullets*/



            /*Make Slider Navigation*/

            $(".a_slider_bullets ul li a").click(function(e){

                e.preventDefault();

                if($(this).hasClass("active_a_bullet")){

                    return false;

                }

                $(".active_a_bullet").removeClass("active_a_bullet");

                $(this).addClass("active_a_bullet");

                var index = $(this).parent().index();

                var visible_slide = $(".single_slide:visible");

                var cur_slide = $(".single_slide").eq(index);

                /*Hide Visible Slide And Remove Animation Classes*/

                visible_slide.hide();

                visible_slide.find("animated").removeClass("animated");

                /*Show Cur Slide And Animate Elements*/

                cur_slide.show();

                cur_slide.find("h2,p,a,.a_slide_image").addClass("animated");

            });

            /*Make Slider Navigation*/



            /*Make Slider Navigate By Swipe*/

            $(".a_slide_image").swipe({

                swipeLeft:function(event, direction, distance, duration, fingerCount) {

					/*Play Previous Slide*/

					var cur_bullet = $(".agency_slider").find("a.active_a_bullet");

					var next_bullet = cur_bullet.parent().prev().children("a");

					if(!next_bullet.length){

						next_bullet = $(".agency_slider").find("div.a_slider_bullets ul li:last a");

					}

					next_bullet.trigger("click");

                },

				swipeRight:function(event, direction, distance, duration, fingerCount){

					/*Play Next Slide*/

					var cur_bullet = $(".agency_slider").find("a.active_a_bullet");

					var next_bullet = cur_bullet.parent().next().children("a");

					if(!next_bullet.length){

						next_bullet = $(".agency_slider").find("div.a_slider_bullets ul li:eq(0) a");

					}

					next_bullet.trigger("click");

				}

            });

            /*Make Slider Navigate By Swipe*/

			

			/*Make Slider Autoslide*/

			<?php if(get_field("slider_autoslide") != "Disabled"): ?>

			var is_hover = false;

			$(".agency_slider").hover(function(){

				is_hover = true;

			},function(){

				is_hover = false;

			});

			

			var counter = 1;

			function next_slide(){

				if(!is_hover){

					var cur_bullet = $(".agency_slider").find("a.active_a_bullet");

					var next_bullet = cur_bullet.parent().next().children("a");

					if(!next_bullet.length){

						next_bullet = $(".agency_slider").find("div.a_slider_bullets ul li:eq(0) a");

					}

					next_bullet.trigger("click");

				}

			}

			var interval = setInterval(function(){

				next_slide();

			},8000);

			/*Make Slider Autoslide*/

			<?php endif; ?>

            $(window).smartresize(function(){

                center_hovers();

            });

        });

    </script>
<link rel="canonical" href="http://www.20script.ir" />
<?php get_footer(); ?>